Subject: bug#78719: 30.1; [PATCH] Add functions `string-common-prefix' and `string-try-completion'

From: Phil Sainty <[email-masked]>
Date: Sun, 06 Jul 2025 01:04:47 +1200

On 2025-07-06 00:35, Daniel Mendler wrote:
> Only changing the return type to string is not worth the addition
> of a new function.

I can only disagree.  Wrapper functions which *eliminate all of the
awkwardness* from an API are completely worthwhile.  They make the
code using them easier to write and read and understand.

My argument from the outset has been that try-completion is not a
good API for use outside of the context of completion because of
its return values, and therefore it warrants a wrapper which makes
it nice to use (as well as easy to discover) for those situations.